FLAGS_GEN = -w-8026 -DBCC -UMING
FLAGS_COMP = $(FLAGS_GEN) -c
FLAGS_LINK = $(FLAGS_GEN) -tW

main.exe : main.obj gen.obj gui.obj lib.obj img.obj obj.obj enemy.obj boss.obj player.obj
	bcc32 $(FLAGS_LINK) main.obj gen.obj gui.obj lib.obj img.obj obj.obj enemy.obj boss.obj player.obj alleg.lib

main.obj : main.cpp lib.h
	bcc32 $(FLAGS_COMP) main.cpp

gen.obj : gen.cpp gen.h lib.h
	bcc32 $(FLAGS_COMP) gen.cpp

gui.obj : gui.cpp gui.h lib.h
	bcc32 $(FLAGS_COMP) gui.cpp

lib.obj : lib.cpp lib.h gen.h gui.h
	bcc32 $(FLAGS_COMP) lib.cpp

img.obj : img.cpp img.h lib.h
	bcc32 $(FLAGS_COMP) img.cpp

obj.obj : obj.cpp obj.h lib.h img.h gen.h
	bcc32 $(FLAGS_COMP) obj.cpp

enemy.obj : enemy.cpp enemy.h obj.h
	bcc32 $(FLAGS_COMP) enemy.cpp

boss.obj : boss.cpp boss.h obj.h
	bcc32 $(FLAGS_COMP) boss.cpp

player.obj : player.cpp player.h obj.h
	bcc32 $(FLAGS_COMP) player.cpp

player.h : obj.h
	touch player.h

boss.h : obj.h
	touch boss.h

enemy.h : obj.h
	touch enemy.h

obj.h : lib.h gen.h
	touch obj.h

img.h : lib.h
	touch img.h

lib.h : gen.h
	touch lib.h