#include "img.h"

#include "lib.h"
#include <map>
#include <string>
using namespace std;

ImgList imgList;

bool ImgList::loaded = false;

ImgList::ImgList () {
	if ( loaded )
		fatErrMsg ( "Attempt to load two image lists." );

	loaded = true;
}

Bmp * ImgList::operator[] ( string bmpFile ) {
	ImgsIt bmpIt = imgs . find ( bmpFile );
	if ( bmpIt != imgs . end () )
		return (*bmpIt) . second;
	else
		return imgs [ bmpFile ] = new Bmp ( bmpFile );
}

void ImgList::clear () {
	for ( ImgsIt it = imgs . begin (); it != imgs . end (); it++ )
		delete (*it) . second;
}
