FLAGS_GEN  = -s -Wall -DMING -UBCC -D__GTHREAD_HIDE_WIN32API
FLAGS_LINK = $(FLAGS_GEN) -omain -lalleg -mwindows
FLAGS_COMP  = $(FLAGS_GEN) -c

main.exe : main.o lib.o gen.o img.o obj.o gui.o
	g++ main.o lib.o gen.o img.o obj.o gui.o $(FLAGS_LINK) 

main.o : main.cpp
	g++ main.cpp $(FLAGS_COMP)

lib.o : lib.cpp lib.h gen.h gui.h
	g++ lib.cpp $(FLAGS_COMP)

gui.o : gui.cpp gui.h lib.h
	g++ gui.cpp $(FLAGS_COMP)

gen.o : gen.cpp gen.h
	G++ gen.cpp $(FLAGS_COMP)

img.o : img.cpp img.h lib.h
	g++ img.cpp $(FLAGS_COMP)

obj.o : obj.cpp obj.h lib.h img.h gen.h
	g++ obj.cpp $(FLAGS_COMP)

obj.h : lib.h gen.h
	touch obj.h

img.h : lib.h
	touch img.h

lib.h : gen.h
	touch lib.h